EDIT - bug #7895

registrationWorkingSetDTO/{uuid} fails due IndexOutOfBoundsException in RegistrationWorkingSet
11/08/2018 12:48 PM - Andreas Kohlbecker

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

[palmae] 2018-11-08 12:28:50,646 INFO [gqtpl207140081-933] [eu.etaxonomy.cdm.remote.controller.Regi
strationDTOController] - doGetRegistrationWorkingSet () GET: /palmae/registrationWorkingSetDTO/38c2
clcl-749b-4cf3-babb-cd281ed7978c
2018-11-08 12:28:50,703 WARN [gtpl207140081-933] [org.eclipse.jetty.servlet.ServletHandler] -
org.springframework.web.util.NestedServletException: Request processing failed; nested exception i
s net.sf.json.JSONException: java.lang.reflect.InvocationTargetException

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:9
81)

at org.springframework.web.servlet.FrameworkServlet.doGet (FrameworkServlet.java:860)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:687)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (Filt
erSecuritylInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Fi
lterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTr
anslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManage
mentFilter. java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (
AnonymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doF
ilter (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC
acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter.java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilt
er.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWrite
rFilter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secu
rityContextPersistenceFilter.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter
.doFilterInternal (WebAsyncManagerIntegrationFilter.java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. jav
a:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterPro
xy.Jjava:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. jav
a:262)

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodi
ngFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti
on.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:745)
Caused by: net.sf.json.JSONException: java.lang.reflect.InvocationTargetException

at net.sf.json.JSONObject.defaultBeanProcessing (JSONObject. java:818)

at net.sf.json.JSONObject._fromBean (JSONObject. java:699)

at net.sf.Jjson.JSONObject.fromObject (JSONObject. java:172)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:128)

at eu.etaxonomy.cdm.remote.view.JsonView.render (JsonView. java:188)

at org.springframework.web.servlet.DispatcherServlet.render (DispatcherServlet. java:1243)

at org.springframework.web.servlet.DispatcherServlet.processDispatchResult (DispatcherServl
et.java:1027)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet. java:971

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:9
69)
java.lang.reflect.InvocationTargetException
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
org.apache.commons.beanutils.PropertyUtilsBean.invokeMethod (PropertyUtilsBean. java:2116

org.apache.commons.beanutils.PropertyUtilsBean.getSimpleProperty (PropertyUtilsBean. java

org.apache.commons.beanutils.PropertyUtilsBean.getNestedProperty (PropertyUtilsBean. java

org.apache.commons.beanutils.PropertyUtilsBean.getProperty (PropertyUtilsBean. java:884)
org.apache.commons.beanutils.PropertyUtils.getProperty (PropertyUtils. java:464)
net.sf.json.JSONObject.defaultBeanProcessing (JSONObject. java:749)

70 more

java.lang.IndexOutOfBoundsException: Index: 0, Size: 0

java.util.ArrayList.rangeCheck (ArrayList.java:653)

java.util.ArrayList.get (ArrayList.java:429)
eu.etaxonomy.cdm.api.service.dto.RegistrationWorkingSet.getRegistrationDate (Registratio

nWorkingSet. java:202)

80 more

History

#1 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#2 - 02/22/2019 05:40 PM - Andreas Kohlbecker

- Subject changed from registrationWorkingSetDTO/{uuid} fails dur ot IndexOutOfBoundsException in RegistrationWorkingSet to
registrationWorkingSetDTO/{uuid} fails due IndexOutOfBoundsException in RegistrationWorkingSet

#3 - 02/25/2019 09:10 AM - Andreas Kohlbecker

- Tags set to phycobank

- Priority changed from New to Highest

#4 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#5 - 05/03/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#6 - 07/19/2019 03:06 PM - Andreas Kohlbecker

- Target version changed from Release 5.8 to Release 5.10

#7 - 09/20/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#8 - 11/04/2019 04:36 PM - Andreas Kohlbecker

- Target version changed from Release 5.11 to Release 5.12

#9 - 01/16/2020 11:46 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.13

#10 - 02/24/2020 02:44 PM - Andreas Kohlbecker

- Target version changed from Release 5.13 to Release 5.14

#11 - 02/24/2020 02:45 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#12 - 06/23/2020 01:58 PM - Andreas Miiller
- Target version changed from Release 5.15 to Release 5.18

#13 - 07/22/2020 01:10 PM - Andreas Kohlbecker
- Status changed from New to Worksforme

- Target version changed from Release 5.18 to Fauna Europaea Portal Release

this has already been fixed by 6b0f8cd

#14 - 07/22/2020 09:19 PM - Andreas Miiller
Is there a reason why you changed the target version to Fauna Europaea Portal Release?
The fixed ticket belongs to 5.9.

#15 - 07/23/2020 08:37 AM - Andreas Kohlbecker

- Target version deleted (Fauna Europaea Portal Release)

| was selecting "Target version" = NONE and obviously missed the correct option.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/6b0f8cdfe1643a96638e02dbd924ffd0007785f8
